Name:           libidn2
Version:        2.3.7
Release:        1
Summary:        GNU IDN Library
License:        (GPL-2.0-or-later OR LGPL-3.0-or-later) AND GPL-3.0-or-later
URL:            https://www.gnu.org/software/libidn/#libidn2
Source0:        https://ftp.gnu.org/gnu/libidn/%{name}-%{version}.tar.gz

Patch0:         bugfix-libidn2-change-rpath.patch

#Dependency
BuildRequires:  gcc gettext-devel libunistring-devel autoconf texinfo automake libtool gtk-doc
Provides:       bundled(gnulib)
Provides:       idn2
Obsoletes:      idn2 < %{version}-%{release}

%description
Libidn2 is a free software implementation of IDNA2008, Punycode and TR46.
Its purpose is to encode and decode internationalized domain names.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
Files for %{name} development

%package_help

#Build sections
%prep
%autosetup -n %{name}-%{version} -p1
# automake 1.17
sed -i "s|am__api_version='1.16|am__api_version='1.17|g" configure

%build
%configure --disable-static
%make_build
%make_build -C doc html

%install
%make_install
%delete_la
make %{?_smp_mflags} -C examples distclean
%find_lang %{name}

%check
make %{?_smp_mflags} -C tests check

#Install and uninstall scripts
%pre

%preun

%ldconfig_scriptlets

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%license COPYING COPYING.LESSERv3 COPYING.unicode COPYINGv2
%{_bindir}/idn2
%{_libdir}/%{name}.so.*
%exclude %{_datadir}/info/dir


%files devel
%{_includedir}/*.h
%{_libdir}/%{name}.so
%doc doc/%{name}.html examples
%{_libdir}/pkgconfig/%{name}.pc

%files help
%{_mandir}/man1/idn2.1*
%{_mandir}/man3/*
%{_infodir}/%{name}.info*
%{_datadir}/gtk-doc/

%changelog
* Fri Jul 19 2024 liweigang <liweiganga@uniontech.com> - 2.3.7-1
- update to version 2.3.7

* Mon Jan 15 2024 zhangruifang <zhangruifang1@h-partners.com> - 2.3.4-1
- update to 2.3.4

* Thu Sep 8 2022 panxiaohe <panxh.life@foxmail.com> - 2.3.3-2
- fix obsoletes in spec

* Sat Aug 27 2022 zoulin <zoulin13@h-partners.com> - 2.3.3-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update to 2.3.3

* Tue Jan 11 2022 wangchen <wangchen137@huawei.com> - 2.3.2-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update to 2.3.2

* Thu Jul 23 2020 zhangxingliang <zhangxingliang3@huawei.com> - 2.3.0-1
- Type:update
- ID:NA
- SUG:NA
- DESC:update to 2.3.0

* Wed Jun 17 2020 Liquor <lirui130@hauwei.com> - 2.0.5-9
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:add Buildrequires:automake

* Wed Mar 18 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.0.5-8
- Type:CVE
- ID:NA
- SUG:NA
- DESC:fix CVE-2019-12290

* Wed Jan 1 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.0.5-7
- Fix bug in patched

* Wed Jan 1 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.0.5-6
- Fix bug in patched

* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.0.5-5
- Fix Memory access out of bounds

* Mon Oct 28 2019 shenyangyang <shenyangyang4@huawei.com> - 2.0.5-4
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add build requires of texinfo to solve the build problem

* Wed Jul 18 2018 openEuler Buildteam <buildteam@openeuler.org> - 2.0.5-3
- Package init
